Summary:	Framework providing Desktop activity awareness
Summary(pl.UTF-8):	Szkielet zapewniający świadomość aktywności w środowisku graficznym
Name:		zeitgeist
Version:	1.0.3
Release:	2
License:	LGPL v2.1+
Group:		Daemons
Source0:	http://launchpad.net/zeitgeist/1.0/%{version}/+download/%{name}-%{version}.tar.xz
# Source0-md5:	8258b5521d1f25d18f7ace3c974c5ab1
Patch0:		%{name}-lt.patch
Patch1:		%{name}-vala.patch
URL:		http://launchpad.net/zeitgeist
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-devel
BuildRequires:	dee-devel >= 1.0.2
BuildRequires:	gettext-tools >= 0.19
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	json-glib-devel >= 0.14.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	python3
BuildRequires:	python3-rdflib >= 3.0.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.682
BuildRequires:	sqlite3-devel >= 3.7.11
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.18.0
BuildRequires:	vala >= 2:0.22.0
BuildRequires:	vala-telepathy-glib >= 0.18.0
BuildRequires:	valadoc >= 0.2
BuildRequires:	xapian-core-devel
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus
Requires:	dee >= 1.0.2
Requires:	json-glib >= 0.14.0
Requires:	telepathy-glib >= 0.18.0
Provides:	zeitgeist-datahub = %{version}-%{release}
Obsoletes:	zeitgeist-datahub < 0.9.5-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Zeitgeist is a service which logs the users' activities and events
(files opened, websites visites, conversations hold with other people,
etc.) and makes relevant information available to other applications.
It is able to establish relationships between items based on
similarity and usage patterns.

%description -l pl.UTF-8
Zeitgeist to usługa logująca aktywność użytkowników oraz powiązane
zdarzenia (otwierane pliki, odwiedzane serwisy WWW, rozmowy z innymi
osobami itp.) i udostępniająca informacje o nich innym aplikacjom.
Potrafi ustalić powiązania między elementami w oparciu o podobieństwo
i wzorce użycia.

%package libs
Summary:	Zeitgeist library
Summary(pl.UTF-8):	Biblioteka Zeitgeist
Group:		Libraries
Requires:	glib2 >= 1:2.36.0
Requires:	sqlite3 >= 3.7.11

%description libs
This package provides Zeitgeist library.

%description libs -l pl.UTF-8
Ten pakiet dostarcza bibliotekę Zeitgeist.

%package devel
Summary:	Development files for Zeitgeist library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki Zeitgeist
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36.0

%description devel
This package provides development files for Zeitgeist library.

%description devel -l pl.UTF-8
Ten pakiet dostarcza pliki programistyczne dla biblioteki Zeitgeist.

%package -n python3-%{name}
Summary:	Python client library for Zeitgeist DBus API
Summary(pl.UTF-8):	Biblioteka kliencka w Pythonie do DBus API demona Zeitgeist
Group:		Development/Languages/Python
Requires:	python3-dbus
Requires:	python3-modules
Obsoletes:	python-zeitgeist < 1.0.3
Conflicts:	zeitgeist < 0.8.2-2
BuildArch:	noarch

%description -n python3-%{name}
Python client library for Zeitgeist DBus API.

%description -n python3-%{name} -l pl.UTF-8
Biblioteka kliencka w Pythonie do DBus API demona Zeitgeist.

%package -n vala-zeitgeist
Summary:	Zeitgeist API for Vala language
Summary(pl.UTF-8):	API Zeitgeist dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.18.0
BuildArch:	noarch

%description -n vala-zeitgeist
Zeitgeist API for Vala language.

%description -n vala-zeitgeist -l pl.UTF-8
API Zeitgeist dla języka Vala.

%package -n bash-completion-zeitgeist
Summary:	bash-completion for Zeitgeist
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla Zeitgeist
Group:		Applications/Shells
Requires:	bash-completion >= 2.0
BuildArch:	noarch

%description -n bash-completion-zeitgeist
This package provides bash-completion for Zeitgeist.

%description -n bash-completion-zeitgeist -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla Zeitgeist.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-fts
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libzeitgeist-2.0.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/zeitgeist/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{_bindir}/zeitgeist-daemon
%attr(755,root,root) %{_bindir}/zeitgeist-datahub
/etc/xdg/autostart/zeitgeist-datahub.desktop
%dir %{_libexecdir}/%{name}
%attr(755,root,root) %{_libexecdir}/%{name}/zeitgeist-fts
%{_datadir}/dbus-1/services/org.gnome.zeitgeist.Engine.service
%{_datadir}/dbus-1/services/org.gnome.zeitgeist.SimpleIndexer.service
%{_mandir}/man1/zeitgeist-daemon.1*
%{_mandir}/man1/zeitgeist-datahub.1*
%{systemduserunitdir}/zeitgeist.service
%{systemduserunitdir}/zeitgeist-fts.service

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libzeitgeist-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzeitgeist-2.0.so.0
%{_libdir}/girepository-1.0/Zeitgeist-2.0.typelib
%dir %{_datadir}/zeitgeist

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libzeitgeist-2.0.so
%{_includedir}/zeitgeist-2.0
%{_datadir}/gir-1.0/Zeitgeist-2.0.gir
%{_pkgconfigdir}/zeitgeist-2.0.pc

%files -n python3-%{name}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/zeitgeist
%{_datadir}/zeitgeist/ontology

%files -n vala-zeitgeist
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/zeitgeist-2.0.deps
%{_datadir}/vala/vapi/zeitgeist-2.0.vapi
%{_datadir}/vala/vapi/zeitgeist-datamodel-2.0.vapi

%files -n bash-completion-zeitgeist
%defattr(644,root,root,755)
%{bash_compdir}/zeitgeist-daemon
%changelog
* Sun Feb 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zeitgeist.git;a=log;h=master

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 87c1833
- release 2 (by relup.sh)

* Sat Feb 27 2021 Jan Palus <atler@pld-linux.org> 67e0975
- unconditional noarch bash/vala subpackages; noarch python3 subpackage

* Fri Oct 23 2020 Jan Palus <atler@pld-linux.org> 1e77dad
- up to 1.0.3

* Sun May 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 2c75b57
- updated dependencies, release 2

* Sat Mar 09 2019 Jan Palus <atler@pld-linux.org> 4ff2124
- up to 1.0.2

* Wed Feb 14 2018 Jan Palus <atler@pld-linux.org> ed9efce
- up to 1.0.1

* Fri Apr 28 2017 Jakub Bogusz <qboosh@pld-linux.org> d14ab1c
- release 2 (rebuild with xapian-core 1.4.x)

* Mon Apr 10 2017 Jan Palus <atler@pld-linux.org> 3b9419e
- up to 1.0

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 5415db6
- noarch vala subpackage

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 42d3105
- release 2 (by relup.sh)

* Wed Jul 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 40bd811
- updated glib2 version

* Sun Jul 12 2015 Jan Palus <atler@pld-linux.org> 5b478cd
- up to 0.9.16

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> ade8250
- x32 rebuild
- release 6 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 1e2ac2a
- updated gettext BR

* Sun Dec 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e5bf836
- libffi rebuild
- release 5 (by relup.sh)

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 7104332
- added vala patch (add missing zeitgeist VAPI dependency)
- release 4

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 6544abd
- moved top zeitgeist data dir to -libs (common dependency for base and python-)

* Sat Mar 15 2014 Elan Ruusamäe <glen@delfi.ee> 44f1d5e
- noarch bash completions

* Sat Jan 11 2014 Jan Palus <jan.palus@gmail.com> c631b20
- enable zeitgeist-fts
- rel 3

* Sun Jan 05 2014 Jan Rękorajski <baggins@pld-linux.org> 273a0de
- don't remove .py files, the're needed (ImportError: Unable to load Zeitgeist ontology. Did you run `make`?)
- rel 2

